using System;
using System.Linq;

namespace InABox.Core
{
    public class SecurityDescriptorScopeAttribute : Attribute
    {
        public SecurityDescriptorScopeAttribute(params SecurityDescriptorScope[] scopes)
        {
            Scopes = scopes;
        }

        public SecurityDescriptorScope[] Scopes { get; }

        public bool HasScope(SecurityDescriptorScope scope)
        {
            return Scopes != null && Scopes.Contains(scope);
        }
    }
}